Bug 105782 - Crash while clicking Help>Contents
Crash while clicking Help>Contents
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libgnome (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-27 10:17 EDT by Denis
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 13:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis 2003-09-27 10:17:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
See Steps to reproduce pls.

After, the bugzilla window appears the text in Additional info.

Clicking Debug hangs the program and I need to kill the process in the terminal
to stop it (kill the program and python) (the graphical system monitor hangs as
well while trying to kill python)

Clicking Quit and exits without problems

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Click Help in the menu bar
2. Click Contents
3. Program crashes
    

Actual Results:  Crash, Bugzilla window opens (see Additional info for message)

Expected Results:  See the Help contents window

Additional info:

Component: redhat-config-network
Version: 1.2.15
Summary: TB06072df8 maindialog.py:645:on_helpButton_clicked:GError: Failed to
execute child process "mozilla" (No such file or directory)
Traceback (most recent call last):
  File
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 645, in on_helpButton_clicked
GError: Failed to execute child process "mozilla" (No such file or directory)

Local variables in innermost frame:
button: <gtk.MenuItem object (GtkMenuItem) at 0x85af3d4>
gnome: <module 'gnome' from
'/usr/lib/python2.2/site-packages/gtk-2.0/gnome/__init__.pyc'>
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x83ec0cc>
Comment 1 Harald Hoyer 2003-10-24 11:59:39 EDT
you do not have installed mozilla...
gnome.url_show("file:" + NETCONFDIR + "/help/index.html")
should not traceback on that...
changing component to gnome-libs
Comment 2 Ray Strode [halfline] 2005-09-09 13:28:57 EDT
Hi,

Red Hat 9 is very old release now that we no longer support.  I'm going to close
this bug, but if you can reproduce the problem with a recent version of RHEL or
Fedora Core, please feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.